# frozen_string_literal: true

require 'role_management/stores/role_documents_directory'

FactoryBot.define do
  factory :user_group_role_binding_organization,
          class: RoleManagement::Stores::UserGroupRoleBindingOrganization do
    user_group_role_binding
    organization_crn { "crn:1:organization/1" }
  end

  factory :user_group_role_binding, class: RoleManagement::Stores::UserGroupRoleBinding do
    customer_crn { "crn:1:tenant/1" }
    created_by_crn { "crn:1:user/3871" }
    updated_by_crn { "crn:1:user/3871" }
    organization_crn { "crn:1:organization/1" }
    user_group_crn { "crn:1:user-group/1" }
    role_document

    after :create do |ugrb|
      create_list :user_group_role_binding_organization, 3, user_group_role_binding: ugrb
    end
  end
end
