# frozen_string_literal: true

require 'role_management/models/role_document'
require 'role_management/models/user_group_role_binding'

RSpec.describe ::RoleManagement::Utils::EventFactory do
  include_context 'role_management'

  describe '#get_event' do
    context 'when passed a role document' do
      it 'should return a role document message type' do
        expect(described_class.new.get_event(role_document)).to be_a(RoleManagement::Messages::RoleDocument)
      end
    end
    context 'when passed a role binding' do
      it 'should return a role binding message type' do
        expect(described_class.new.get_event(role_binding)).to be_a(RoleManagement::Messages::RoleBinding)
      end
    end
    context 'when passed an unknown object' do
      it 'should return nil' do
        expect(described_class.new.get_event("FakeObject")).to be_nil
      end
    end
  end
end
